import request from '@/utils/request';

/**
 * 老师列表
 */
export const api_teacherPage = (params: any) => {
  return request.post('/edu-app/teacher/page', {
    data: params
  });
};

/**
 * 老师新增
 */
export const api_teacherAdd = (params: object) => {
  return request.post('/edu-app/teacher/add', {
    data: params
  });
};
/**
 * 老师停用/启用
 */
export const api_tenantInfoUpdateStatus = (params: object) => {
  return request.post('/edu-app/teacher/updateStatus', {
    data: params
  });
};
/**
 * 老师重置密码
 */
export const api_userResetPassword = (params: object) => {
  return request.post('/edu-app/user/resetPassword', {
    data: params,
    requestType: 'form'
  });
};

/** 分页查询机构 */
export const api_tenantInfoPage = (params: object) => {
  return request.post('/edu-app/tenantInfo/page', {
    data: params
  });
};
/** 更新学校信息 */
export const api_schoolUpdate = (params: object) => {
  return request.post('/edu-app/school/update', {
    data: params
  });
};
/** 获取省市区 */
export const api_sysAreaQueryAllProvince = () => {
  return request.get('/edu-app/open/sysArea/queryAllProvince');
};

/**
 * 老师管理 - 更换负责人
 */
export const updateAdmin = (params?: any) => {
  return request.post('/edu-app/teacher/updateAdmin', {
    data: params
  });
};
